=== src/kontactplugin/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
add_subdirectory(korganizer)
add_subdirectory(specialdates)
