=== debian/changelog ===
korganizer (4:25.08.3+p24.04+vunstable+git20251206.1025-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 10:25:07 +0000
