## korganizer 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,25 +3,25 @@
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION alpha)
+set(KDEPIM_DEV_VERSION beta)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
     set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
 endif()
 
-set(PIM_VERSION "6.6.40")
-set(RELEASE_SERVICE_VERSION "26.03.40")
+set(PIM_VERSION "6.5.80")
+set(RELEASE_SERVICE_VERSION "25.11.80")
 
 # Update it for each release
-set(KORGANIZER_RELEASE_VERSION_DATE "26.03.10") # yy.MM.dd
+set(KORGANIZER_RELEASE_VERSION_DATE "25.11.10") # yy.MM.dd
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
 project(korganizer VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.20.0")
-set(QT_REQUIRED_VERSION "6.9.0")
+set(KF_MIN_VERSION "6.18.0")
+set(QT_REQUIRED_VERSION "6.8.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -72,17 +72,18 @@
 )
 
 # Require a C++20 capable compiler
+set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 set(CMAKE_CXX_EXTENSIONS OFF)
 set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
 
-set(AKONADI_CONTACT_VERSION "6.6.40")
-set(KMAILTRANSPORT_LIB_VERSION "6.6.40")
-set(CALENDARUTILS_LIB_VERSION "6.6.40")
-set(AKONADICALENDAR_LIB_VERSION "6.6.40")
-set(KONTACTINTERFACE_LIB_VERSION "6.6.40")
-set(KMIME_LIB_VERSION "6.6.40")
-set(AKONADI_VERSION "6.6.40")
+set(AKONADI_CONTACT_VERSION "6.5.80")
+set(KMAILTRANSPORT_LIB_VERSION "6.5.80")
+set(CALENDARUTILS_LIB_VERSION "6.5.80")
+set(AKONADICALENDAR_LIB_VERSION "6.5.80")
+set(KONTACTINTERFACE_LIB_VERSION "6.5.80")
+set(KMIME_LIB_VERSION "6.5.80")
+set(AKONADI_VERSION "6.5.80")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
@@ -99,11 +100,11 @@
         UiTools
 )
 
-set(PIMCOMMON_LIB_VERSION "6.6.40")
-set(LIBKDEPIM_LIB_VERSION "6.6.40")
-set(LIBINCIDENCEEDITOR_LIB_VERSION "6.6.40")
-set(CALENDARSUPPORT_LIB_VERSION "6.6.40")
-set(EVENTVIEW_LIB_VERSION "6.6.40")
+set(PIMCOMMON_LIB_VERSION "6.5.80")
+set(LIBKDEPIM_LIB_VERSION "6.5.80")
+set(LIBINCIDENCEEDITOR_LIB_VERSION "6.5.80")
+set(CALENDARSUPPORT_LIB_VERSION "6.5.80")
+set(EVENTVIEW_LIB_VERSION "6.5.80")
 
 # Find KF6 package
 find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
@@ -177,7 +178,7 @@
     endif()
     if(OPTION_USE_PLASMA_ACTIVITIES)
         if(NOT WIN32 AND NOT APPLE)
-            find_package(PlasmaActivities "6.4.0")
+            find_package(PlasmaActivities "6.3.0")
             set_package_properties(
                 PlasmaActivities
                 PROPERTIES
@@ -198,7 +199,7 @@
     find_package(X11)
 endif()
 
-set(KTEXTADDONS_MIN_VERSION "1.8.82")
+set(KTEXTADDONS_MIN_VERSION "1.8.0")
 
 find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG)
 set_package_properties(
@@ -210,6 +211,11 @@
             REQUIRED
 )
 
+if(${KF6TextAddonsWidgets_VERSION} VERSION_GREATER_EQUAL 1.8.44)
+    set(HAVE_TEXTUTILS_HAS_WHATSNEW_SUPPORT TRUE)
+endif()
+
+
 set(KDEPIM_HAVE_X11 ${X11_FOUND})
 configure_file(config-korganizer.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-korganizer.h)
 include_directories(
