=== src/CMakeLists.txt ===
--- 
+++ 
@@ -66,6 +66,7 @@
     KF6::WindowSystem
     ${korganizer_userfeedback_LIB}
     KF6::IconThemes
+    KF6::TextAddonsWidgets
 )
 if(TARGET KPim6::PimCommonActivities)
     target_link_libraries(korganizer KPim6::PimCommonActivities)
@@ -219,6 +220,7 @@
     KF6::CalendarCore
     KPim6::CalendarUtils
     KF6::KIOWidgets
+    KF6::TextAddonsWidgets
 )
 
 install(TARGETS korganizerpart DESTINATION ${KDE_INSTALL_PLUGINDIR})
@@ -438,5 +440,3 @@
 add_library(korganizerprivate ${korganizerprivate_LIB_SRCS})
 if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
     set_target_properties(
-        korganizerprivate
-        PROPERTIES
