=== src/views/collectionview/icons/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
set(korganizer_collectionview_icons
    sc-apps-quickview.svgz
    256-apps-quickview.png
    128-apps-quickview.png
    22-apps-quickview.png
    48-apps-quickview.png
    64-apps-quickview.png
    32-apps-quickview.png
    16-apps-quickview.png
)
ecm_install_icons(ICONS ${korganizer_collectionview_icons}
   DESTINATION ${KDE_INSTALL_ICONDIR}
   THEME hicolor
)
