## korganizer 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,18 +3,18 @@
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION rc)
+set(KDEPIM_DEV_VERSION )
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
     set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
 endif()
 
-set(PIM_VERSION "6.5.90")
-set(RELEASE_SERVICE_VERSION "25.11.90")
+set(PIM_VERSION "6.6.0")
+set(RELEASE_SERVICE_VERSION "25.12.0")
 
 # Update it for each release
-set(KORGANIZER_RELEASE_VERSION_DATE "25.11.27") # yy.MM.dd
+set(KORGANIZER_RELEASE_VERSION_DATE "25.12.11") # yy.MM.dd
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
@@ -77,13 +77,13 @@
 set(CMAKE_CXX_EXTENSIONS OFF)
 set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
 
-set(AKONADI_CONTACT_VERSION "6.5.90")
-set(KMAILTRANSPORT_LIB_VERSION "6.5.90")
-set(CALENDARUTILS_LIB_VERSION "6.5.90")
-set(AKONADICALENDAR_LIB_VERSION "6.5.90")
-set(KONTACTINTERFACE_LIB_VERSION "6.5.90")
-set(KMIME_LIB_VERSION "6.5.90")
-set(AKONADI_VERSION "6.5.90")
+set(AKONADI_CONTACT_VERSION "6.6.0")
+set(KMAILTRANSPORT_LIB_VERSION "6.6.0")
+set(CALENDARUTILS_LIB_VERSION "6.6.0")
+set(AKONADICALENDAR_LIB_VERSION "6.6.0")
+set(KONTACTINTERFACE_LIB_VERSION "6.6.0")
+set(KMIME_LIB_VERSION "6.6.0")
+set(AKONADI_VERSION "6.6.0")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
@@ -100,11 +100,11 @@
         UiTools
 )
 
-set(PIMCOMMON_LIB_VERSION "6.5.90")
-set(LIBKDEPIM_LIB_VERSION "6.5.90")
-set(LIBINCIDENCEEDITOR_LIB_VERSION "6.5.90")
-set(CALENDARSUPPORT_LIB_VERSION "6.5.90")
-set(EVENTVIEW_LIB_VERSION "6.5.90")
+set(PIMCOMMON_LIB_VERSION "6.6.0")
+set(LIBKDEPIM_LIB_VERSION "6.6.0")
+set(LIBINCIDENCEEDITOR_LIB_VERSION "6.6.0")
+set(CALENDARSUPPORT_LIB_VERSION "6.6.0")
+set(EVENTVIEW_LIB_VERSION "6.6.0")
 
 # Find KF6 package
 find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
