## korganizer 25.12.0+p24.04+vstable+git20251231.0558

=== debian/changelog ===
korganizer (4:25.12.0+p24.04+vstable+git20251231.0558-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 05:58:17 +0000

korganizer (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:32:03 +1000
