## korganizer 25.12.0+p24.04+vstable+git20260102.1239

=== debian/changelog ===
korganizer (4:25.12.0+p24.04+vstable+git20260102.1239-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 12:39:16 +0000
